package com.mortals.xhx.module.converge.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.converge.model.vo.ConvergeAppsInfoVo;
import lombok.Data;
/**
* 应用信息实体对象
*
* @author zxfei
* @date 2023-10-17
*/
@Data
public class ConvergeAppsInfoEntity extends ConvergeAppsInfoVo {
    private static final long serialVersionUID = 1L;

    /**
    * 应用ID
    */
    private String appEname;
    /**
    * 应用名称
    */
    private String appName;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof ConvergeAppsInfoEntity) {
            ConvergeAppsInfoEntity tmp = (ConvergeAppsInfoEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.appEname = "";
            this.appName = "";
    }
}